summaryrefslogtreecommitdiff
path: root/packages/sharp-binary-only
diff options
context:
space:
mode:
Diffstat (limited to 'packages/sharp-binary-only')
-rw-r--r--packages/sharp-binary-only/sharp-aticore-oss-1.0.1/aticore-2.6.patch0
-rw-r--r--packages/sharp-binary-only/sharp-aticore-oss_1.0.1.bb36
-rw-r--r--packages/sharp-binary-only/sharp-aticore.bb39
-rw-r--r--packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/CE-AG06.dat0
-rw-r--r--packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc0
-rw-r--r--packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc.conf0
-rw-r--r--packages/sharp-binary-only/sharp-camera-support_2.4.18-rmk7-pxa3-embedix.bb28
-rw-r--r--packages/sharp-binary-only/sharp-compat-libs/hentges.patch0
-rw-r--r--packages/sharp-binary-only/sharp-compat-libs/qt2310.patch0
-rw-r--r--packages/sharp-binary-only/sharp-compat-libs_0.5.bb82
-rw-r--r--packages/sharp-binary-only/sharp-flash-header-c700.bb7
-rw-r--r--packages/sharp-binary-only/sharp-flash-header-c700/header-c700.bin0
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/collie/sharp_mmcsd_m.o0
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/poodle/sharp_mmcsd_m.o0
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd67
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdcontrol256
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdmgr0
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/tosa/sharp_mmcsd_m.o0
-rw-r--r--packages/sharp-binary-only/sharp-sdmmc-support_2.4.18-rmk7-pxa3-embedix.bb31
19 files changed, 0 insertions, 546 deletions
diff --git a/packages/sharp-binary-only/sharp-aticore-oss-1.0.1/aticore-2.6.patch b/packages/sharp-binary-only/sharp-aticore-oss-1.0.1/aticore-2.6.patch
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-aticore-oss-1.0.1/aticore-2.6.patch
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-aticore-oss_1.0.1.bb b/packages/sharp-binary-only/sharp-aticore-oss_1.0.1.bb
deleted file mode 100644
index f96b29106a..0000000000
--- a/packages/sharp-binary-only/sharp-aticore-oss_1.0.1.bb
+++ /dev/null
@@ -1,36 +0,0 @@
-DESCRIPTION = "Driver for the Ati W100 found on the Sharp Zaurus C[87]x0"
-SECTION = "base"
-PRIORITY = "optional"
-LICENSE = "CLOSED"
-PR = "r1"
-
-SRC_URI = "http://mirror1.pdaxrom.org/source/src/AtiCore-1.0.1.tar.bz2 \
- file://aticore-2.6.patch;patch=1"
-S = "${WORKDIR}/AtiCore-1.0.1"
-
-#FILES_${PN}="${libdir}/*.so* ${bindir}/*"
-
-EXTRA_OEMAKE="CC='${CC}' AS='${AS}' AR='${AR}' LD='${LD}' FPU='${TARGET_FPU}'"
-
-do_install() {
- install -d ${D}${bindir}
- install -m 0755 testcore ${D}${bindir}/testcore
- install -m 0755 atitest ${D}${bindir}/atitest
-
- install -d ${D}${libdir}
- install -m 0755 libaticore.so.1.0.1 ${D}${libdir}/libaticore.so.1.0.1
-
- install -d ${D}${includedir}
- install -m 0644 aticore.h ${D}${includedir}/aticore.h
-
- cd ${D}${libdir}/
- ln -s libaticore.so.1.0.1 libaticore.so.1
- ln -s libaticore.so.1.0.1 libaticore.so.1.0
- ln -s libaticore.so.1.0.1 libaticore.so
-}
-
-# Currently incompatible with the way sharp-aticore.bb stages.
-do_stage() {
- install -m 0644 aticore.h ${STAGING_INCDIR}
- oe_libinstall -so libaticore ${STAGING_LIBDIR}
-} \ No newline at end of file
diff --git a/packages/sharp-binary-only/sharp-aticore.bb b/packages/sharp-binary-only/sharp-aticore.bb
deleted file mode 100644
index da7917f070..0000000000
--- a/packages/sharp-binary-only/sharp-aticore.bb
+++ /dev/null
@@ -1,39 +0,0 @@
-DESCRIPTION = "Driver for the Ati W100 found on the Sharp Zaurus C[87]x0"
-SECTION = "base"
-PRIORITY = "optional"
-LICENSE = "CLOSED"
-PR = "r0"
-
-SRC_URI = "http://www.mithis.com/zaurus/AtiCore.${TARGET_FPU}.tar.bz2"
-S = "${WORKDIR}/AtiCore"
-
-FILES_${PN}="${libdir}/*.so* ${bindir}/*"
-
-# And include it in the dev package
-FILES_${PN}-dev += " ${includedir}"
-
-do_make() {
- make
-}
-
-do_install() {
- install -d ${D}${bindir}
- install -m 0755 testcore ${D}${bindir}/testcore
- install -m 0755 atitest ${D}${bindir}/atitest
-
- install -d ${D}${libdir}
- install -m 0755 libaticore.so ${D}${libdir}/libaticore.so
-
- install -d ${D}${includedir}
- install -m 0644 aticore.h ${D}${includedir}/aticore.h
-
- cd ${D}${libdir}/
- ln -s libaticore.so libaticore.so.1
- ln -s libaticore.so libaticore.so.1.0
-}
-
-do_stage() {
- install -m 0644 aticore.h ${STAGING_INCDIR}
- oe_libinstall -so libaticore ${STAGING_LIBDIR}
-}
-
diff --git a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/CE-AG06.dat b/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/CE-AG06.dat
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/CE-AG06.dat
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc b/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc.conf b/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc.conf
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc.conf
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-camera-support_2.4.18-rmk7-pxa3-embedix.bb b/packages/sharp-binary-only/sharp-camera-support_2.4.18-rmk7-pxa3-embedix.bb
deleted file mode 100644
index 82fea715e5..0000000000
--- a/packages/sharp-binary-only/sharp-camera-support_2.4.18-rmk7-pxa3-embedix.bb
+++ /dev/null
@@ -1,28 +0,0 @@
-DESCRIPTION = "Driver for the SHARP CG-AG06 digital compact flash camera for linux ${PV}"
-SECTION = "kernel/modules"
-PRIORITY = "optional"
-MAINTAINER = "Michael 'Mickey' Lauer <mickey@Vanille.de>"
-LICENSE = "CLOSED"
-RDEPENDS = "kernel (${KERNEL_VERSION})"
-PR = "r4"
-
-SRC_URI = "http://www.openzaurus.org/mirror/camera-modules-2.4.18-rmk7-pxa3-embedix.tar.bz2 \
- file://CE-AG06.dat \
- file://sharpzdc \
- file://sharpzdc.conf"
-S = "${WORKDIR}"
-
-inherit module-base
-
-do_install() {
- install -d ${D}${sysconfdir}/pcmcia/cis
- install -d ${D}${base_libdir}/modules/${KERNEL_VERSION}/pcmcia
- install -m 0644 ${WORKDIR}/CE-AG06.dat ${D}${sysconfdir}/pcmcia/cis/
- install -m 0644 ${WORKDIR}/sharpzdc.conf ${D}${sysconfdir}/pcmcia/
- install -m 0755 ${WORKDIR}/sharpzdc ${D}${sysconfdir}/pcmcia/
- install -m 0644 ${MACHINE}/sharpzdc_cs.o ${D}${base_libdir}/modules/${KERNEL_VERSION}/pcmcia/
-}
-
-FILES_${PN} = "/"
-
-PACKAGE_ARCH = "${MACHINE_ARCH}"
diff --git a/packages/sharp-binary-only/sharp-compat-libs/hentges.patch b/packages/sharp-binary-only/sharp-compat-libs/hentges.patch
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-compat-libs/hentges.patch
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-compat-libs/qt2310.patch b/packages/sharp-binary-only/sharp-compat-libs/qt2310.patch
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-compat-libs/qt2310.patch
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-compat-libs_0.5.bb b/packages/sharp-binary-only/sharp-compat-libs_0.5.bb
deleted file mode 100644
index ace6789343..0000000000
--- a/packages/sharp-binary-only/sharp-compat-libs_0.5.bb
+++ /dev/null
@@ -1,82 +0,0 @@
-DESCRIPTION = "Allows applications compiled with 2.95 to run on a 3.x compiled \
-system by providing 2.95 libraries. To run compatible programs, use the Compat \
-Library program in the Settings menu to make them use these libraries."
-SECTION = "opie/settings"
-PRIORITY = "optional"
-DEPENDS = "opie-sh"
-RDEPENDS = "opie-sh"
-RPROVIDES = "oz-compat"
-RCONFLICTS = "oz-compat"
-MAINTAINER = "Tim Ansell <mithro AT mithis.net>"
-LICENSE = "GPL"
-PR = "r2"
-
-EXCLUDE_FROM_SHLIBS = "1"
-COMPATIBLE_HOST = "arm.*-linux"
-
-SRC_URI = "http://openzaurus.org/mirror/oz-compat_0.5.tar.gz \
- file://hentges.patch;patch=1 \
- file://qt2310.patch;patch=1"
-
-S = "${WORKDIR}/oz-compat-0.5"
-
-inherit update-rc.d
-
-INITSCRIPT_NAME = "quickexec"
-INITSCRIPT_PARAMS = "defaults 10"
-
-do_install() {
- install -d ${D}${palmtopdir}/apps/Settings
- install -d ${D}${palmtopdir}/bin/
- install -d ${D}${palmtopdir}/etc/
- install -d ${D}${palmtopdir}/pics/
-
- install -d ${D}/opt/QtPalmtop.compat/bin
- install -d ${D}/opt/QtPalmtop.compat/binlib
- install -d ${D}/opt/QtPalmtop.compat/lib
-
- install -d ${D}${sysconfdir}/init.d
-
- install -m 0644 ${WORKDIR}/oz-compat-0.5/opt/QtPalmtop/apps/Settings/makecompat.desktop ${D}${palmtopdir}/apps/Settings
- install -m 0644 ${WORKDIR}/oz-compat-0.5/opt/QtPalmtop/etc/quickexec.libs ${D}${palmtopdir}/etc/quickexec.libs
- install -m 0644 ${WORKDIR}/oz-compat-0.5/opt/QtPalmtop/pics/libraries.png ${D}${palmtopdir}/pics/libraries.png
-
- install -m 0755 ${WORKDIR}/oz-compat-0.5/opt/QtPalmtop.compat/bin/* ${D}/opt/QtPalmtop.compat/bin
- install -m 0644 ${WORKDIR}/oz-compat-0.5/opt/QtPalmtop.compat/lib/* ${D}/opt/QtPalmtop.compat/lib
-
- install -m 0755 ${WORKDIR}/oz-compat-0.5/etc/init.d/quickexec ${D}${sysconfdir}/init.d
-
- cd ${D}${palmtopdir}/bin
- for file in chkhinge makecompat qeserver quickexec runcompat
- do
- ln -s /opt/QtPalmtop.compat/bin/$file
- done
-
- cd ${D}/opt/QtPalmtop.compat/lib
- ln -s libqpe.so.1.5.0 libqpe.so.1.5
- ln -s libqpe.so.1.5.0 libqpe.so.1
- ln -s libqpe.so.1.5.0 libqpe.so
-
- ln -s libqte.so.2.3.7 libqte.so.2.3.2
- ln -s libqte.so.2.3.7 libqte.so.2.3
- ln -s libqte.so.2.3.7 libqte.so.2
- ln -s libqte.so.2.3.7 libqte.so
-
-
-}
-
-pkg_postinst() {
-test -n "$D" && exit 1
-
-# needed for update-rc.d
-test -e /media/card/etc/init.d/quickexec && ln -s /media/card/etc/init.d/quickexec /etc/init.d/quickexec
-test -e /media/cf/etc/init.d/quickexec && ln -s /media/cf/etc/init.d/quickexec /etc/init.d/quickexec
-test -e /media/ram/etc/init.d/quickexec && ln -s /media/ram/etc/init.d/quickexec /etc/init.d/quickexec
-}
-
-pkg_postrm() {
- test -e /etc/init.d/quickexec && rm /etc/init.d/quickexec
-}
-
-FILES_${PN} += "/opt /etc"
-LEAD_SONAME = "libqte.so.*"
diff --git a/packages/sharp-binary-only/sharp-flash-header-c700.bb b/packages/sharp-binary-only/sharp-flash-header-c700.bb
deleted file mode 100644
index c02882482e..0000000000
--- a/packages/sharp-binary-only/sharp-flash-header-c700.bb
+++ /dev/null
@@ -1,7 +0,0 @@
-SECTION = "base"
-SRC_URI = "file://header-c700.bin"
-LICENSE = "sharp-binary-only"
-do_stage() {
- install -d ${STAGING_LIBDIR}/sharp-flash-header
- install -m 0644 ${WORKDIR}/header-c700.bin ${STAGING_LIBDIR}/sharp-flash-header/header-c700.bin
-}
diff --git a/packages/sharp-binary-only/sharp-flash-header-c700/header-c700.bin b/packages/sharp-binary-only/sharp-flash-header-c700/header-c700.bin
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-flash-header-c700/header-c700.bin
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/collie/sharp_mmcsd_m.o b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/collie/sharp_mmcsd_m.o
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/collie/sharp_mmcsd_m.o
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/poodle/sharp_mmcsd_m.o b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/poodle/sharp_mmcsd_m.o
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/poodle/sharp_mmcsd_m.o
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd
deleted file mode 100644
index d99f78f9be..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-# rc.sd 1.00 2001/08/08 22:40:44 (Hideki Hayami)
-#
-# Tags for init configuration tools
-#
-# processname: sdmgr
-# pidfile: /var/run/sdmgr.pid
-# description: currently SD support is only for memory devices \
-# which is used as block device.
-
-# Source function library.
-# . /etc/rc.d/init.d/functions
-
-MODULE=sharp_mmcsd_m
-
-usage()
-{
- echo "Usage: $0 {start|stop|status|restart|reload}"
-}
-
-
-
-if [ $# -lt 1 ] ; then usage ; break ; fi
-action=$1
-
-case "$action" in
-
-start)
- echo -n "Start SD services:"
- /sbin/modprobe $MODULE >/dev/null
- if [ -s /var/run/sdmgr.pid ]; then
- kill -0 `cat /var/run/sdmgr.pid` 2>/dev/null;
- else
- /sbin/sdmgr >/dev/null 2>&1 &
- RETVAL=$?
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/sd
- fi
- sleep 1
- echo " sdmgr."
- ;;
-
-stop)
- echo -n "Stop SD services:"
- killall sdmgr
- if grep -q $MODULE /proc/modules ; then
- /sbin/rmmod $MODULE
- fi
- rm -f /var/lock/subsys/sd
- echo " sdmgr."
- ;;
-
-status)
- ;;
-
-restart|reload)
- $0 stop
- $0 start
- ;;
-
-*)
- usage
- ;;
-
-esac
-
-exit 0
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdcontrol b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdcontrol
deleted file mode 100644
index 63e5256f3d..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdcontrol
+++ /dev/null
@@ -1,256 +0,0 @@
-#!/bin/sh
-#
-# sdcontrol 1.0 2001/8/8 21:33:19 (Hideki Hayami)
-#
-# Initialize or shutdown a SD card device
-#
-# The first argument should be either 'insert' of 'eject'.
-#
-
-ACTION=$1
-DEVICE=/dev/mmcda1
-MOUNT_POINT=/media/card
-SMB_MOUNT=/home/samba/SD_Card
-INSTALL_DIR=Documents/Install_Files
-
-ENABLE_LOG="no"
-LOGFILE="/tmp/sdcontrol.log"
-
-vecho() {
- stamp="`date +"%d-%m-%y %H:%M:%S"`"
- echo -e "$1"
- test "$ENABLE_LOG" = "yes" -a -n "$LOGFILE" && echo -e "$1" | sed "s/\(.*\)/[$stamp]\ \1/">> "$LOGFILE"
-}
-
-
-# import FS mount options from fstab or use defaults
-# if detection fails
-SD_OPTS="`grep "$MOUNT_POINT" /etc/fstab | awk '{print $4}'`"
-if test -z "$SD_OPTS"
-then
- SD_OPTS="noatime,sync"
- vecho "\nWARNING: Couldn't determine SD mount options from /etc/fstab, using defaults\n"
-fi
-
-# The "quiet" option fails on non-VFAT cards. Nice trick ;)
-SD_OPTS_VFAT="$SD_OPTS,quiet,umask=000,iocharset=utf8"
-
-
-###### for QPE ######
-get_pid()
-{
- echo $1
-}
-
-wait_release()
-{
- count=1
- while true
- do
- umount $MOUNT_POINT
- if [ $? = 0 ]; then
- #echo umount >> /tmp/sd
- return
- fi
- echo count=$count >> /tmp/sd
- if [ `expr $count \>= 500` = 1 ]; then
- #echo time out >> /tmp/sd
- return
- fi
- count=`expr $count + 1`
- usleep 200000
- done
-}
-
-kill_task()
-{
-
- if ! test -z "`which fuser`"
- then
- ps_line=`ps ax | grep 'qpe$'` # no -w on busybox
- qpe_pid=`get_pid $ps_line`
- #echo qpe_pid = $qpe_pid >> /tmp/sd
- target_pids=`fuser -m $DEVICE | cut -d : -f2`
- #echo $target_pids >> /tmp/sd
- if [ "$target_pids" = "" ]; then
- return
- fi
- is_exist_qpe=`echo $target_pids | grep $qpe_pid` # no -w on busybox
- if [ "$is_exist_qpe" = "" ]; then
- kill -9 $target_pids
- #echo kill -9 $target_pids >> /tmp/sd
- else
- #echo "found qpe!!!" >> /tmp/sd
- target_pids=`echo $target_pids | sed -e "s/$qpe_pid//"`
- if [ "$target_pids" != "" ]; then
- kill -9 $target_pids
- #echo kill -9 $target_pids >> /tmp/sd
- fi
- wait_release
- exit 0
- fi
- fi
-}
-###### for QPE ######
-
-case "$ACTION" in
-'insert')
-
-
- vecho "Beginning SD auto-mount..:"
-
- ps ax > "$LOGFILE-ps"
-
- # Read available partitions from /proc/partitions.
- OK_PARTS="`cat /proc/partitions |awk '{print $4}'| grep mmcd`"
-
- cat /proc/partitions |awk '{print $4}'| grep mmcd > "$LOGFILE-part"
-
- if test "`echo "$OK_PARTS" | wc -l | awk '{print $1}`" -gt 1
- then
- OK_PARTS="`echo "$OK_PARTS" | grep -v "^mmcda$"`"
- fi
-
- if test -z "$OK_PARTS"
- then
- vecho "\n\nWARNING: Trying failsafe partition mode\n\n"
- OK_PARTS="mmcda1 mmcda2 mmcda3 mmcda4"
- fi
-
-
- vecho "-> Valid SD partitions are: [$OK_PARTS]"
-
- # Allow for "#" in fstab.
- fstab_txt="`cat /etc/fstab | grep -v ^#`"
-
- cnt=1
- for part in $OK_PARTS
- do
- vecho "\n* * * * * Working on [/dev/$part] * * * * *\n"
- # Read the mount-point for this partition from fstab
- FS_MOUNT_POINT="`echo "$fstab_txt" | grep "/dev/$part" | awk '{print $2}`"
-
-
- # Mount the first valid partition as /mnt/card if there was no entry in fstab
- if test -z "$FS_MOUNT_POINT"
- then
- # See if /mnt/card is already mounted
- if ! mount|awk '{print $3}'|grep "^$MOUNT_POINT$" 2>&1 >/dev/null
- then
- # Check if another *existing* partition is configured as /mnt/card
- if ! echo "$fstab_txt" | grep "$MOUNT_POINT" | awk '{print $2}'| grep "^$MOUNT_POINT$" 2>&1 >/dev/null
- then
- # As /mnt/card wasn't configured in fstab, we simply mount the
- # first unconfigured partition we find
- FS_MOUNT_POINT="$MOUNT_POINT"
- else
- # Go through all partitions, and check if one of them is configured
- # as /mnt/card
- for xpart in $OK_PARTS
- do
- if echo "$fstab_txt" | grep "$xpart" | awk '{print $2}'| grep "^$MOUNT_POINT$" 2>&1 >/dev/null
- then
- vecho "-> $MOUNT_POINT is reserved by fstab"
- found=1
- fi
- done
-
- if test "$found" = 1
- then
- # Another existing partition is configured for /mnt/card, leave it alone.
- FS_MOUNT_POINT="$MOUNT_POINT$cnt"
- let cnt=$cnt+1
- else
- FS_MOUNT_POINT="$MOUNT_POINT"
- fi
-
- fi
- else
- FS_MOUNT_POINT="$MOUNT_POINT$cnt"
- let cnt=$cnt+1
- fi
- vecho "-> Using mountpoint [$FS_MOUNT_POINT]"
- else
- vecho "-> Using mountpoint [$FS_MOUNT_POINT] from fstab"
- fi
-
- ! test -d $FS_MOUNT_POINT && mkdir -p $FS_MOUNT_POINT
-
- DEVICE="/dev/$part"
- if ! test -e "$DEVICE"
- then
- DEV_NUM="`echo "$DEVICE" | sed -n "s/.*\([0-9]\)/\1/p"`"
- cd /dev
- mknod mmcda$DEV_NUM b 60 $DEV_NUM
- fi
-
- vecho "-> Trying VFAT mount [$SD_OPTS_VFAT]..."
- mount $FSTYPE -o $SD_OPTS_VFAT $DEVICE $FS_MOUNT_POINT 2>&1 >/dev/null
- MOUNT_RES=`mount | grep $DEVICE`
-
-
- if [ "$MOUNT_RES" = "" ]; then
- vecho "-> Trying ext2 mount [$SD_OPTS]..."
- mount $FSTYPE -o $SD_OPTS $DEVICE $FS_MOUNT_POINT
- else
- vecho "-> VFAT mount was successfull"
- fi
-
- MOUNT_RES=`mount | grep $DEVICE`
- if [ "$MOUNT_RES" = "" ]; then
- vecho "-> Trying failsafe mount..."
- mount $FSTYPE $DEVICE $FS_MOUNT_POINT
- else
- vecho "-> EXT2 mount was successfull"
- fi
-
- # Um what was the function of that?
-# chkmntsh ${MOUNT_POINT}
-
- done
-
- # I have no idea what this is good for....
- if [ -d $SMB_MOUNT ] ; then
- rm -rf $SMB_MOUNT
- fi
- ln -s /mnt/card $SMB_MOUNT
- mkdir -p $FS_MOUNT_POINT/$INSTALL_DIR
-
- ;;
-'eject')
- # Doesn't work as "fuser" isn't in a base OZ 3.5.[1|2] ROM
- for part in `mount | grep mmcda|awk '{print $1}'`
- do
- DEVICE="$part"
- fuser -s -m $DEVICE
- if [ $? = 1 ]; then
- umount $DEVICE
- rm $SMB_MOUNT
- else
- exit 1
- fi
- done
- ;;
-'compeject')
- for part in `mount | grep mmcda|awk '{print $1}'`
- do
- DEVICE="$part" || echo "umount $DEVICE failed!"
-
- kill_task # for QPE
-
- umount $DEVICE >/dev/null 2>&1 || echo -e "\n* * * WARNING: umount $DEVICE failed! * * *"
-
- test -e "$SMB_MOUNT" && rm $SMB_MOUNT
- done
- ;;
-'change')
- $0 compeject
- $0 insert
- ;;
-'*')
- exit 1
- ;;
-esac
-
-exit 0
-
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdmgr b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdmgr
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sdmgr
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/tosa/sharp_mmcsd_m.o b/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/tosa/sharp_mmcsd_m.o
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/tosa/sharp_mmcsd_m.o
+++ /dev/null
diff --git a/packages/sharp-binary-only/sharp-sdmmc-support_2.4.18-rmk7-pxa3-embedix.bb b/packages/sharp-binary-only/sharp-sdmmc-support_2.4.18-rmk7-pxa3-embedix.bb
deleted file mode 100644
index 7ed202b8b8..0000000000
--- a/packages/sharp-binary-only/sharp-sdmmc-support_2.4.18-rmk7-pxa3-embedix.bb
+++ /dev/null
@@ -1,31 +0,0 @@
-DESCRIPTION = "Driver for the SHARP Zaurus SD/MMC Slot for linux ${PV}"
-SECTION = "kernel/modules"
-PRIORITY = "optional"
-MAINTAINER = "Michael 'Mickey' Lauer <mickey@Vanille.de>"
-LICENSE = "CLOSED"
-RDEPENDS = "kernel (${KERNEL_VERSION})"
-PR = "r17"
-
-SRC_URI = "http://www.openzaurus.org/mirror/sd-modules-2.4.18-rmk7-pxa3-embedix-r3.tar.bz2 \
- file://sd \
- file://sdmgr \
- file://sdcontrol"
-S = "${WORKDIR}"
-
-inherit module-base update-rc.d
-
-INITSCRIPT_NAME = "sd"
-INITSCRIPT_PARAMS = "start 39 S . stop 96 0 1 6 ."
-
-do_install() {
- install -d ${D}${sysconfdir}/init.d ${D}${base_sbindir}
- install -d ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/block/
- install -m 0755 ${WORKDIR}/sdmgr ${D}${base_sbindir}/
- install -m 0755 ${WORKDIR}/sdcontrol ${D}${sysconfdir}
- install -m 0755 ${WORKDIR}/sd ${D}${sysconfdir}/init.d/
- install -m 0644 ${MACHINE}/sharp_mmcsd_m.o ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/block/
-}
-
-FILES_${PN} = "/"
-
-PACKAGE_ARCH = "${MACHINE_ARCH}"